/*
 The software in this package is distributed under the GNU General
 Public License version 2 (with a special exception described below).

 A copy of GNU General Public License (GPL) is included in this distribution,
 in the file COPYING.GPL.

 As a special exception, if other files instantiate templates or use macros
 or inline functions from this file, or you compile this file and link it
 with other works to produce a work based on this file, this file
 does not by itself cause the resulting work to be covered
 by the GNU General Public License.

 However the source code for this file must still be made available
 in accordance with section (3) of the GNU General Public License.

 This exception does not invalidate any other reasons why a work based
 on this file might be covered by the GNU General Public License.
 */

#ifndef LINK_UP_INTERVAL_OPTION_H
#define LINK_UP_INTERVAL_OPTION_H

#include <boost/program_options.hpp>

#include "config/option/configurationoption.h"

//-----------------------------------------------------------------------------
// LinkUpIntervalOption
//-----------------------------------------------------------------------------

/**
 * @brief This class represents the "link-up-interval" configuration option.
 */
class LinkUpIntervalOption : public ConfigurationOption
{
public:
    LinkUpIntervalOption();
    virtual ~LinkUpIntervalOption();

    virtual bool parse(
            const boost::program_options::variables_map &vm,
            Configuration *configuration
    );

};

#endif // LINK_UP_INTERVAL_OPTION_H
